Skip to main content
GET
/
v3
/
webhooks
/
events
List Webhook Events
curl --request GET \
  --url https://api.heygen.com/v3/webhooks/events \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.heygen.com/v3/webhooks/events"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.heygen.com/v3/webhooks/events', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "event_id": "<string>",
      "event_type": "<string>",
      "event_data": {},
      "created_at": "<string>"
    }
  ],
  "has_more": true,
  "next_token": "<string>"
}
{
  "error": {
    "code": "invalid_parameter",
    "message": "'limit' must be between 1 and 100.",
    "param": "limit",
    "doc_url": null
  }
}
{
  "error": {
    "code": "authentication_failed",
    "message": "Invalid or expired API key. Verify your x-api-key header.",
    "param": null,
    "doc_url": null
  }
}
{
  "error": {
    "code": "rate_limit_exceeded",
    "message": "Too many requests. Retry after the duration specified in the Retry-After header.",
    "param": null,
    "doc_url": null
  }
}

Authorizations

x-api-key
string
header
required

HeyGen API key. Obtain from your HeyGen dashboard.

Query Parameters

event_type
enum<string>

Filter events by type, e.g. 'avatar_video.success'.

Available options:
avatar_video.success,
avatar_video.fail,
avatar_video_gif.success,
avatar_video_gif.fail,
video_translate.success,
video_translate.fail,
personalized_video,
instant_avatar.success,
instant_avatar.fail,
photo_avatar_generation.success,
photo_avatar_generation.fail,
photo_avatar_train.success,
photo_avatar_train.fail,
photo_avatar_add_motion.success,
photo_avatar_add_motion.fail,
proofread_creation.success,
proofread_creation.fail,
live_avatar.success,
live_avatar.fail,
avatar_video_caption.success,
avatar_video_caption.fail,
video_agent.success,
video_agent.fail,
hyperframes_video.success,
hyperframes_video.fail,
ai_clipping.success,
ai_clipping.fail
entity_id
string

Filter events by entity ID.

limit
integer
default:10

Maximum number of events to return (1-100). Default: 10.

Required range: 1 <= x <= 100
token
string

Opaque pagination cursor from a previous response's next_token.

Response

Successful response

data
WebhookEventResponse · object[]
has_more
boolean

Whether more pages are available

next_token
string | null

Opaque cursor for the next page